Page MenuHomePhabricator

rack/setup/install sessionstore200[123].codfw.wmnet
Closed, ResolvedPublic

Description

This task will track the racking, setup, and installation of 3 new session storage machines for codfw: sessionstore200[1-3].codfw.wmnet.

Racking Proposal: These 3 machines are the codfw deployment, 3 more will go in eqiad. ALL servers should be fully row redundant, so just 1 server per row. (There is no preference on which rows to use, use whatever rows have the most space.) These are 1G systems, so rack in 1G racks.

  • - receive in system on procurement task T207801
  • - rack system with proposed racking plan (see above) & update netbox (include all system info plus location)
  • - bios/drac/serial setup/testing
  • - mgmt dns entries added for both asset tag and hostname
  • - network port setup (description, enable, internal vlan)
    • end on-site specific steps
  • - production dns entries added (internal subnets for each row)
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation (stretch)
  • - puppet accept/initial run
  • - handoff for service implementation

Event Timeline

RobH created this task.Nov 13 2018, 4:31 PM
RobH removed Due Date.
Restricted Application changed the subtype of this task from "Deadline" to "Task". · View Herald TranscriptNov 13 2018, 4:31 PM
RobH added a comment.Nov 13 2018, 5:31 PM
This comment was removed by RobH.
Papaul updated the task description. (Show Details)Nov 19 2018, 4:49 PM

switch port information

sessionstore2001 asw-b4-codfw ge-4/0/1
sessionstore2002 asw-c4-codfw ge-4/0/0
sessionstore2003 asw-d4-codfw ge-4/0/13

Change 474771 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Add production and mgmt DNS entries for sessionstore200[1-3]

https://gerrit.wikimedia.org/r/474771

@RobH which RAID 1 partman recipe are we using here?

RobH added a comment.Nov 19 2018, 8:14 PM

So anytime we have dual disks with sw raid (and no gpt required), the default is: raid1-lvm-ext4-srv.cfg, so use that please =]

Change 474771 merged by Dzahn:
[operations/dns@master] DNS: Add production and mgmt DNS entries for sessionstore200[1-3]

https://gerrit.wikimedia.org/r/474771

Papaul updated the task description. (Show Details)Nov 26 2018, 9:13 PM

Change 475924 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/puppet@production] DHCP: Add MAC address entries for sessionstore200[123]

https://gerrit.wikimedia.org/r/475924

Change 475929 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/puppet@production] PARTMAN: Add sessionstore200[1-3]

https://gerrit.wikimedia.org/r/475929

Change 475929 merged by Dzahn:
[operations/puppet@production] PARTMAN: Add sessionstore200[1-3]

https://gerrit.wikimedia.org/r/475929

Change 475924 merged by Dzahn:
[operations/puppet@production] DHCP: Add MAC address entries for sessionstore200[123]

https://gerrit.wikimedia.org/r/475924

Papaul added a comment.EditedNov 27 2018, 1:11 AM
papaul@asw-b-codfw> show interfaces ge-4/0/1 descriptions 
Interface       Admin Link Description
ge-4/0/1        up    up   sessionstore2001

papaul@asw-c-codfw> show interfaces ge-4/0/0 descriptions 
Interface       Admin Link Description
ge-4/0/0        up    up   sessionstore2002

papaul@asw-d-codfw> show interfaces ge-4/0/13 descriptions 
Interface       Admin Link Description
ge-4/0/13        up    up   sessionstore2003
Papaul updated the task description. (Show Details)Nov 27 2018, 2:31 AM
Papaul updated the task description. (Show Details)Nov 27 2018, 8:06 PM
Papaul reassigned this task from Papaul to RobH.Nov 28 2018, 1:01 AM
Papaul added a subscriber: Papaul.

This is complete at my end. Don't know the service owner so giving it back to you.

RobH reassigned this task from RobH to Eevans.Nov 28 2018, 1:03 AM
RobH removed projects: Patch-For-Review, ops-codfw.

@Eevans,

You were the initial requester for this hardware. I'm assigning this to you. Please feel free to reassign to the proper service owner for implementation within your team. This task can be resolved at your discretion.

Thanks!

Eevans reassigned this task from Eevans to RobH.Nov 28 2018, 3:32 PM

@Papaul, @RobH Should I be able to log in at this point?

RobH added a comment.Nov 28 2018, 4:02 PM

@eevens,

Nope! Not until we know and apply a role, right now it applies role spare.

RobH reassigned this task from RobH to Eevans.Dec 12 2018, 10:55 PM

So I think there is some confusion here, we don't know what role to apply to these hosts, so they don't apply anything but spare and don't allow you to login.

Can you advise what role should be applied?

RobH changed the task status from Open to Stalled.Dec 12 2018, 11:27 PM

Ok, I've chatted with @Eevans about both T209393 and T209389. The sessionstore servers were put in to order this quarter, but the actual role and software won't be ready until next. (When the request went in, it was taking a LOT longer for Dell to get things to us.)

So this is being assigned to @Eevans so he is aware they are awaiting his team's usage, with the understanding the role still needs to be created in puppet.

Eevans closed this task as Resolved.Jul 8 2019, 11:38 PM
Eevans updated the task description. (Show Details)